<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.DmaandcbbMapper">

    <resultMap id="dmaandcbbMap" type="com.tofly.xrtygis.entity.Dmaandcbb">
        <id property="id" column="ID"/>
        <result property="dmaId" column="DMA_ID"/>
        <result property="cbbbm" column="CBBBM"/>
    </resultMap>
    <insert id="insertBatch">
        insert into TF_YWPN_DMAANDCBB_W(ID , DMA_ID , CBBBM)
        <foreach collection="list" item="l" separator="union all">
            select
            #{l.id} ,
            #{l.dmaId} ,
            #{l.cbbbm}
            from dual
        </foreach>
    </insert>


</mapper>
